/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreLogicsubst;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreLogicsubstRecord extends UpdatableRecordImpl<TCoreLogicsubstRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_logicsubst.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicsubst.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_logicsubst.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicsubst.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_logicsubst.fk_core_logic</code>.
     * Foreign key to t_core_logic
     */
    public void setFkCoreLogic(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicsubst.fk_core_logic</code>.
     * Foreign key to t_core_logic
     */
    public Integer getFkCoreLogic() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_logicsubst.value_string</code>. Result
     * value for a valid logic
     */
    public void setValueString(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicsubst.value_string</code>. Result
     * value for a valid logic
     */
    public String getValueString() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreLogicsubstRecord
     */
    public TCoreLogicsubstRecord() {
        super(TCoreLogicsubst.T_CORE_LOGICSUBST);
    }

    /**
     * Create a detached, initialised TCoreLogicsubstRecord
     */
    public TCoreLogicsubstRecord(LocalDateTime lastchange, Integer pk, Integer fkCoreLogic, String valueString) {
        super(TCoreLogicsubst.T_CORE_LOGICSUBST);

        setLastchange(lastchange);
        setPk(pk);
        setFkCoreLogic(fkCoreLogic);
        setValueString(valueString);
        resetChangedOnNotNull();
    }
}
